// STIXTEST Demonstrate more stixbox routines.

//        J. Coursol, 1998
//        Copyright (c) Mathematique Universite de Paris-Sud

// 	Revision 01-10-98 Mathematique Universite de Paris-Sud
disp('When paused with -->halt() enter return key to continue')
halt()
n=10000;
y=1:10000;
z=y/2000;
y=y/10000;
modele='exp';
scf()
for lambda=1:2
  x=-sort(-rexpweib(n,lambda));  
  F=1-exp(-lambda*z);
  modele 
  lambda
  stairs(x,y);
  halt()
  plot2d(z,F,style=5,leg='r@ @ ')
  halt()
  clf()
end

modele='normal 0 1';

randType=rand('info'); // save current mode for random generator
rand('normal');        // switch normal distribution with mean 0 and variance 1
x=-sort(-rand(n,1));
rand(randType);        // restore rand mode

F=pnorm(z);
modele
stairs(x,y);
halt()

plot2d(z,F,style=5,leg='r@ @ ')
halt()

modele='chisq 5';
pp=5;
qq=pp/2;
x=-sort(-2*rjgamma(n,qq));
F=pchisq(2*z,pp);
modele
stairs(x,y);
halt()

plot2d(2*z,F,style=5,leg='r@ @ ')


halt()
clf()
modele='chisq 5';
pp=5;
qq=pp/2;
x=-sort(-2*rjgamma(n,qq));
F=pchisq(2*z,pp);
modele
stairs(x,y);
halt()
plot2d(2*z,F,style=5,leg='r@ @ ')
halt()

clf()
modele='fisher 4 8';
x=-sort(-rf(n,4,8));
F=pf(z,4,8);
modele
stairs(x,y);
plot2d(z,F,style=5,leg='r@ @ ')
halt()

clf()
modele='student 5';
// x=sort(rt(n,5));
F=pt(z,5);
modele
//stairs(x,y);
halt()
plot2d(z,F,style=5,leg='r@ @ ')
halt()

clf()
modele='hypergeom 10 20 50';
x=-sort(-rhypg(n,10,20,50));
F=phypg(z,10,20,50);
modele
stairs(x,y);
halt()
plot2d(z,F,style=5,leg='r@ @ ')
halt()

clf()
modele='binomiale';
x=-sort(-rjbinom(n,20,.3));
F=pbinom(2*z,20,.3);
modele
stairs(x,y);
halt()
plot2d(2*z,F,style=5,leg='r@ @ ')
halt()

modele='poisson';
for lambda=[.5 1 2 3]
  x=-sort(-rpoiss(n,lambda));
  m= maxi(x);
  zz=[0,z];
  zz1=bool2s(round(zz)==zz);
  F=cumsum(exp(-lambda+zz.*log(lambda)-gammaln(zz+1)).*zz1);
  modele
  lambda
  stairs(x,y);
  halt()
  plot2d(zz,F,[5],"121",'r@ @ ')
  clf()
end;
//
disp('==================FIN DU TEST=====================');

